## ros-indigo-eus-qpoases 0.1.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(eus_qpoases)

find_package(catkin REQUIRED COMPONENTS rostest)

include(ExternalProject)

ExternalProject_Add(qpoases
  SVN_REPOSITORY https://projects.coin-or.org/svn/qpOASES/stable/3.0
  SVN_TRUST_CERT 1
  TIMEOUT 30
  PATCH_COMMAND patch -s -p0 < ${PROJECT_SOURCE_DIR}/patch/UseShareLibrary.patch
  CMAKE_ARGS -DCMAKE_BUILD_TYPE=Release
  BUILD_COMMAND make -j
  BUILD_IN_SOURCE 1
  INSTALL_COMMAND sh -c "cp -r include/* ${PROJECT_SOURCE_DIR}/include/" && sh -c "rm -fr ${PROJECT_SOURCE_DIR}/include/qpOASES/.svn ${PROJECT_SOURCE_DIR}/include/qpOASES/extras/.svn" && cp libs/libqpOASES.so ${PROJECT_SOURCE_DIR}/lib/ && cp libs/libqpOASES.so.3.0 ${PROJECT_SOURCE_DIR}/lib/
  LOG_DOWNLOAD ON
  LOG_CONFIGURE ON
  LOG_BUILD ON
  )
ExternalProject_Get_Property(qpoases source_dir)

catkin_package(
 INCLUDE_DIRS include
)

include_directories(include)
link_directories(lib)

add_executable(example1 examples/example1.cpp)
set_target_properties(example1 PROPERTIES RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/bin)
add_dependencies(example1 qpoases)
target_link_libraries(example1 qpOASES)
add_library(eus_qpoases SHARED src/eus_qpoases.cpp)
set_target_properties(eus_qpoases PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/lib)
add_dependencies(eus_qpoases qpoases)
target_link_libraries(eus_qpoases qpOASES)

add_rostest(test/eus_qpoases.test)

install(DIRECTORY lib/
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})
install(DIRECTORY euslisp examples
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(TARGETS eus_qpoases # lib/ is added here to install euslisp library
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/lib)
install(DIRECTORY include/
  USE_SOURCE_PERMISSIONS
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-eus-qpoases (0.1.15-0trusty) trusty; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 15 May 2018 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.14-0trusty) trusty; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 14 Jan 2018 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.13-0trusty) trusty; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 17 Apr 2017 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.12-0trusty) trusty; urgency=high

  * mv .gitignore to .placeholder
  * Contributors: Kei Okada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.11-0trusty) trusty; urgency=high

  * Set include path of qpoases in eus_qpoases
  * Contributors: Kei Okada, Kentaro Wada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.10-0trusty) trusty; urgency=high

  * eus_qpoases : add missing install directory
  * [euslisp/test-eus-qpoases.l,test/eus-qpoases.test.l] Add test for sqp/slp
  * [eus_qpoases.cpp, eus-qpoases.l] Add qp with hotstart and sqp with hotstart
  * [eus_qpoases/src/eus_qpoases.cpp] Use common function for qp and lp.
  * Contributors: Kei Okada, Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.9-0trusty) trusty; urgency=high

  * [eus_qpoases/euslisp/eus-qpoases.l] Use concatenate matrix functions in irteus and fix checking of ineq and eq existence
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Tue, 22 Mar 2016 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.8-0trusty) trusty; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 01 Nov 2015 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.7-0trusty) trusty; urgency=high

  * [eus_qpoases] use ExternalProject instead of mk
  * [eus_qpoases/euslisp/eus-qpoases.l] Check equality usage and use state-dim and inequality-dim.
  * [../../eus_qp/euslisp/contact-optimization.l,test-eus-qpoases.l,eus-qpoases.l] Rename solve-qpoases => solve-qpoases-qp and remain solve-qpoases for backward compatibility with warning.
  * [../src/eus_qpoases.cpp,../test/eus-qpoases.test.l,test-eus-qpoases.l,eus-qpoases.l] Add LP solver using qpOASES and add samples and tests.
  * [../src/eus_qpoases.cpp,../test/eus-qpoases.test.l,test-eus-qpoases.l,eus-qpoases.l] Add LP solver using qpOASES and add samples and tests.
  * [eus_qpoases/euslisp/eus-qpoases.l] Add argument matrix size check
  * Remove manifest.xml and Makefile and use catkin style filesystem
  * Add comments for qp functions
  * Add demo-eus-qpOASES4 for force infeasible problem.
  * Print debug message by default. If you want to disable it, :debug nil
  * Add debug print check
  * Added install rules for qpoases headers and libs to catkin cmake-file.
  * require rostest in cmake files
  * add rostest declaration
  * intial commit of test dir and test files, check euslisp/test-eus-qpoases.l all functions, and if there are at least one failure, then test would be failed
  * test functions return test results
  * [eus_qpoases] add dependencies to linqpOASES
  * Contributors: Yuki Furuta, Georg Bartels, Ryohei Ueda, Shunichi Nozawa, Shintaro Noda

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sat, 31 Oct 2015 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.6-0trusty) trusty; urgency=high

  * [eus_qpoases] Ignore bin directory
  * [eus_qpoases] Support ccache

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.5-0trusty) trusty; urgency=high

  * Get qpOASES status from argument
  * Update patch for qpoases shared object (https://github.com/jsk-ros-pkg/jsk_control/issues/180)
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.4-0trusty) trusty; urgency=high

  * trust server ssl

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Mon, 20 Oct 2014 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.3-0trusty) trusty; urgency=high



 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.2-0trusty) trusty; urgency=high

  * add run_depend to euslisp
  * add subversion to build_depend
  * Contributors: Kei Okada

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Sun, 07 Sep 2014 15:00:00 -0000

ros-indigo-eus-qpoases (0.1.1-0trusty) trusty; urgency=high

  * Add euslisp package for qpOASES, which is a qp solver
  * Contributors: Shunichi Nozawa

 -- Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>  Wed, 03 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-eus-qpoases
Section: misc
Priority: extra
Maintainer: Shunichi Nozawa <nozawa@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-euslisp, ros-indigo-rostest, subversion
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-eus-qpoases
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-euslisp, ros-indigo-rostest
Description: eus_qpoases

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-eus-qpoases//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
